# LineInFileLocation

@Incubating
interface LineInFileLocation : FileLocation

A basic location pointing to a specific part of a file using line number, column, and length for coordinates.

The line and column coordinates are one-indexed so that they can be easily matched to the content of a UI editor interface.

#### Since

8.6

## Functions

getColumn
Link copied to clipboard
abstract fun getColumn(): Int
The starting column on the selected line.
getLength
Link copied to clipboard
abstract fun getLength(): Int
The length of the selected content starting from specified column.
getLine
Link copied to clipboard
abstract fun getLine(): Int
The line number within the file.
getPath
Link copied to clipboard
abstract fun getPath(): String